Package htsjdk.tribble.gff

# Enum Class Gff3Codec.DecodeDepth

java.lang.Object
java.lang.Enum<Gff3Codec.DecodeDepth>
htsjdk.tribble.gff.Gff3Codec.DecodeDepth

All Implemented Interfaces:
  `Serializable`, `Comparable<Gff3Codec.DecodeDepth>`, `Constable`

Enclosing class:
  `Gff3Codec`

public static enum Gff3Codec.DecodeDepth extends Enum<Gff3Codec.DecodeDepth>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEEP`
`SHALLOW`

## Method Summary

Modifier and Type
Method
Description
`static Gff3Codec.DecodeDepth`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Gff3Codec.DecodeDepth[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEEP

public static final Gff3Codec.DecodeDepth DEEP

### SHALLOW

public static final Gff3Codec.DecodeDepth SHALLOW

## Method Details

### values

public static Gff3Codec.DecodeDepth[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Gff3Codec.DecodeDepth valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null